org.mariadb.jdbc.internal.stream

## Class CompressOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.mariadb.jdbc.internal.stream.CompressOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class CompressOutputStream
    extends OutputStream

### Constructor Summary

Constructors
Constructor and Description
`CompressOutputStream(OutputStream baseStream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flush()`
`void` `write(byte[] bytes)`
`void` `write(byte[] bytes, int off, int len)`
`void` `write(int bytes)`

### Methods inherited from class java.io.OutputStream

`close`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressOutputStream

    public CompressOutputStream(OutputStream baseStream)

### Method Detail

#### write

    public void write(byte[] bytes,
                      int off,
                      int len)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] bytes)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(int bytes)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`